diff -u -r ./src/http/modules/ngx_http_uwsgi_module.c /root/nginx-1.3.13/src/http/modules/ngx_http_uwsgi_module.c
--- ./src/http/modules/ngx_http_uwsgi_module.c	2013-01-16 10:42:57.000000000 +0100
+++ /root/nginx-1.3.13/src/http/modules/ngx_http_uwsgi_module.c	2013-02-20 13:32:02.000000000 +0100
@@ -1017,6 +1017,13 @@
 
             u = r->upstream;
 
+            if (u->headers_in.status_n == NGX_HTTP_SWITCHING_PROTOCOLS) {
+		if (r->headers_in.upgrade) {
+                    u->upgrade = 1;
+                }
+                return NGX_OK;
+            }
+
             if (u->headers_in.status_n) {
                 return NGX_OK;
             }
Only in .: uwsgi_websocket_nginx.patch
